Bookings
- : Access Younium API
No Content
No content
Bad Request.
Unauthorized
Forbidden
Not Found
PATCH /Bookings/{id} HTTP/1.1
Host: api.younium.com
Authorization: Bearer YOUR_OAUTH2_TOKEN
Content-Type: application/merge-patch+json
Accept: */*
Content-Length: 192
{
"bookingType": "New",
"accountCategory": "New",
"bookingChangeType": "BookingChangeTypeName",
"notes": "text",
"effectiveDate": "2026-01-01T00:00:00.000Z",
"classification": "BookingClassificationName"
}No content
- : Access Younium API
Success
Bad Request.
Unauthorized
Forbidden
Not Found
GET /Bookings/{id} HTTP/1.1
Host: api.younium.com
Authorization: Bearer YOUR_OAUTH2_TOKEN
Accept: */*
{
"id": "123e4567-e89b-12d3-a456-426614174000",
"currency": "text",
"bookingType": "New",
"accountCategory": "New",
"bookingChangeType": {
"id": "123e4567-e89b-12d3-a456-426614174000",
"name": "text",
"description": "text",
"isSystemChangeType": true,
"changeType": "Upsell"
},
"cmrr": {
"amount": 1,
"amountInBaseCurrency": 1
},
"acv": {
"amount": 1,
"amountInBaseCurrency": 1
},
"emrr": {
"amount": 1,
"amountInBaseCurrency": 1
},
"oneTimeFees": {
"amount": 1,
"amountInBaseCurrency": 1
},
"tcv": {
"amount": 1,
"amountInBaseCurrency": 1
},
"fmrr": {
"amount": 1,
"amountInBaseCurrency": 1
},
"effectiveDate": "2026-01-01T00:00:00.000Z",
"bookingLines": [
{
"charge": {
"name": "text",
"chargeNumber": "OPC-000001",
"description": "text",
"id": "123e4567-e89b-12d3-a456-426614174000",
"externalERPId": "text",
"externalCRMId": "text"
},
"cmrr": {
"amount": 1,
"currencyCode": "text",
"currencyConversionDate": "2026-01-01T00:00:00.000Z",
"baseCurrencyAmount": 1,
"baseCurrencyCode": "text"
},
"acv": {
"amount": 1,
"currencyCode": "text",
"currencyConversionDate": "2026-01-01T00:00:00.000Z",
"baseCurrencyAmount": 1,
"baseCurrencyCode": "text"
},
"emrr": {
"amount": 1,
"currencyCode": "text",
"currencyConversionDate": "2026-01-01T00:00:00.000Z",
"baseCurrencyAmount": 1,
"baseCurrencyCode": "text"
},
"oneTimeFees": {
"amount": 1,
"currencyCode": "text",
"currencyConversionDate": "2026-01-01T00:00:00.000Z",
"baseCurrencyAmount": 1,
"baseCurrencyCode": "text"
},
"tcv": {
"amount": 1,
"currencyCode": "text",
"currencyConversionDate": "2026-01-01T00:00:00.000Z",
"baseCurrencyAmount": 1,
"baseCurrencyCode": "text"
},
"fmrr": {
"amount": 1,
"currencyCode": "text",
"currencyConversionDate": "2026-01-01T00:00:00.000Z",
"baseCurrencyAmount": 1,
"baseCurrencyCode": "text"
},
"created": "2026-01-01T00:00:00.000Z",
"modified": "2026-01-01T00:00:00.000Z"
}
],
"classification": {
"name": "text",
"description": "text",
"chartColor": "text",
"isSystemClassification": true,
"classificationType": "NewCustomer"
},
"created": "2026-01-01T00:00:00.000Z",
"modified": "2026-01-01T00:00:00.000Z",
"order": {
"orderNumber": "text",
"id": "123e4567-e89b-12d3-a456-426614174000",
"externalERPId": "text",
"externalCRMId": "text"
},
"notes": "text"
}- : Access Younium API
Filter the results. See developer resources for more information. On endpoints whose entity supports
custom fields you can also filter by custom field: customFieldEq('fieldName', 'value') (equals) or
customFieldExist('fieldName') (field has a non-empty value). Custom-field functions may only be
combined with and.
name eq 'Adam' and age gt 20 and customFieldEq('region', 'EU')Sorting the results. See developer resources for more information
accountNumber DescApply a separate modified After filter. See 'ModifiedBefore' filter for further details.
2026-09-01Filter is also applied on sub entities: 'bookingLines'
2026-09-01Page Size
20Page Number
1Success
Bad Request.
Unauthorized
Forbidden
GET /Bookings HTTP/1.1
Host: api.younium.com
Authorization: Bearer YOUR_OAUTH2_TOKEN
Accept: */*
{
"pageNumber": 1,
"pageSize": 1,
"totalPages": 1,
"totalCount": 1,
"nextPage": "https://example.com",
"previousPage": "https://example.com",
"firstPage": "https://example.com",
"lastPage": "https://example.com",
"data": [
{
"id": "123e4567-e89b-12d3-a456-426614174000",
"currency": "text",
"bookingType": "New",
"accountCategory": "New",
"bookingChangeType": {
"id": "123e4567-e89b-12d3-a456-426614174000",
"name": "text",
"description": "text",
"isSystemChangeType": true,
"changeType": "Upsell"
},
"cmrr": {
"amount": 1,
"amountInBaseCurrency": 1
},
"acv": {
"amount": 1,
"amountInBaseCurrency": 1
},
"emrr": {
"amount": 1,
"amountInBaseCurrency": 1
},
"oneTimeFees": {
"amount": 1,
"amountInBaseCurrency": 1
},
"tcv": {
"amount": 1,
"amountInBaseCurrency": 1
},
"fmrr": {
"amount": 1,
"amountInBaseCurrency": 1
},
"effectiveDate": "2026-01-01T00:00:00.000Z",
"bookingLines": [
{
"charge": {
"name": "text",
"chargeNumber": "OPC-000001",
"description": "text",
"id": "123e4567-e89b-12d3-a456-426614174000",
"externalERPId": "text",
"externalCRMId": "text"
},
"cmrr": {
"amount": 1,
"currencyCode": "text",
"currencyConversionDate": "2026-01-01T00:00:00.000Z",
"baseCurrencyAmount": 1,
"baseCurrencyCode": "text"
},
"acv": {
"amount": 1,
"currencyCode": "text",
"currencyConversionDate": "2026-01-01T00:00:00.000Z",
"baseCurrencyAmount": 1,
"baseCurrencyCode": "text"
},
"emrr": {
"amount": 1,
"currencyCode": "text",
"currencyConversionDate": "2026-01-01T00:00:00.000Z",
"baseCurrencyAmount": 1,
"baseCurrencyCode": "text"
},
"oneTimeFees": {
"amount": 1,
"currencyCode": "text",
"currencyConversionDate": "2026-01-01T00:00:00.000Z",
"baseCurrencyAmount": 1,
"baseCurrencyCode": "text"
},
"tcv": {
"amount": 1,
"currencyCode": "text",
"currencyConversionDate": "2026-01-01T00:00:00.000Z",
"baseCurrencyAmount": 1,
"baseCurrencyCode": "text"
},
"fmrr": {
"amount": 1,
"currencyCode": "text",
"currencyConversionDate": "2026-01-01T00:00:00.000Z",
"baseCurrencyAmount": 1,
"baseCurrencyCode": "text"
},
"created": "2026-01-01T00:00:00.000Z",
"modified": "2026-01-01T00:00:00.000Z"
}
],
"classification": {
"name": "text",
"description": "text",
"chartColor": "text",
"isSystemClassification": true,
"classificationType": "NewCustomer"
},
"created": "2026-01-01T00:00:00.000Z",
"modified": "2026-01-01T00:00:00.000Z",
"order": {
"orderNumber": "text",
"id": "123e4567-e89b-12d3-a456-426614174000",
"externalERPId": "text",
"externalCRMId": "text"
},
"notes": "text"
}
]
}Last updated
Was this helpful?